import 'package:calculus/provider/data.dart';
import 'package:calculus/utils/tools.dart';

class GameUtils {
  static Future<void> resetGame(Data myProvider) async {
    myProvider.updateGameIsRunning(false);
  }

  static Future<void> startGame(Data myProvider) async {
    printlog('Starting game');
    printlog('- level: ${myProvider.parameterLevel}');

    myProvider.resetGame();

    myProvider.updateGameIsRunning(true);
  }
}
